Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 63 - SMB print client configuration scripts not good enough
Summary: SMB print client configuration scripts not good enough
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-13 15:15 UTC by linux
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-17 14:14:14 UTC


Attachments (Terms of Use)

Description linux 1998-11-13 15:15:06 UTC
1) Workgroups sometimes need to be specified for smbclient
to successfully login. The printtool/smbprint script do not
support workgroupsat all (need to add a workgroup field,
and a workgroup variable translating into -W "$workgroup"
option to smbclient).

2) smbclient usernames can have spaces in them.
printtool just saves
  username=user name with spaces
Should be something like this
  username='user name with spaces'
with proper escapes for any quotes, of course.
But the smbprint script would not process this
correctly, as usrcmd="-U $username" would translate
into smbclient ... -U user name with spaces ... .
Need to redo the script with smarter processing.

Something like this:
if [ "$username" != "" ]; then
   usercmd_opt=-U
else
   usercmd_opt=""
fi

...

smbclient ... $usercmd_opt "$username" ...

and don't forget to add the option for workgroup!

works fine otherwise... thanks

Comment 1 Bill Nottingham 1998-11-18 18:05:59 UTC
will be added in next printtool release

Comment 2 Bill Nottingham 1999-05-17 14:14:59 UTC
I believe this has been fixed in the latest
rhs-printfilters/printtoool


Note You need to log in before you can comment on or make changes to this bug.